/***************************************************************************//**
* \file Accel_Mag_PINS.h
* \version 3.20
*
* \brief
*  This file provides constants and parameter values for the pin components
*  buried into SCB Component.
*
* Note:
*
********************************************************************************
* \copyright
* Copyright 2013-2016, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SCB_PINS_Accel_Mag_H)
#define CY_SCB_PINS_Accel_Mag_H

#include "cydevice_trm.h"
#include "cyfitter.h"
#include "cytypes.h"


/***************************************
*   Conditional Compilation Parameters
****************************************/

/* Unconfigured pins */
#define Accel_Mag_REMOVE_RX_WAKE_SDA_MOSI_PIN  (1u)
#define Accel_Mag_REMOVE_RX_SDA_MOSI_PIN      (1u)
#define Accel_Mag_REMOVE_TX_SCL_MISO_PIN      (1u)
#define Accel_Mag_REMOVE_CTS_SCLK_PIN      (1u)
#define Accel_Mag_REMOVE_RTS_SS0_PIN      (1u)
#define Accel_Mag_REMOVE_SS1_PIN                 (1u)
#define Accel_Mag_REMOVE_SS2_PIN                 (1u)
#define Accel_Mag_REMOVE_SS3_PIN                 (1u)

/* Mode defined pins */
#define Accel_Mag_REMOVE_I2C_PINS                (0u)
#define Accel_Mag_REMOVE_SPI_MASTER_PINS         (1u)
#define Accel_Mag_REMOVE_SPI_MASTER_SCLK_PIN     (1u)
#define Accel_Mag_REMOVE_SPI_MASTER_MOSI_PIN     (1u)
#define Accel_Mag_REMOVE_SPI_MASTER_MISO_PIN     (1u)
#define Accel_Mag_REMOVE_SPI_MASTER_SS0_PIN      (1u)
#define Accel_Mag_REMOVE_SPI_MASTER_SS1_PIN      (1u)
#define Accel_Mag_REMOVE_SPI_MASTER_SS2_PIN      (1u)
#define Accel_Mag_REMOVE_SPI_MASTER_SS3_PIN      (1u)
#define Accel_Mag_REMOVE_SPI_SLAVE_PINS          (1u)
#define Accel_Mag_REMOVE_SPI_SLAVE_MOSI_PIN      (1u)
#define Accel_Mag_REMOVE_SPI_SLAVE_MISO_PIN      (1u)
#define Accel_Mag_REMOVE_UART_TX_PIN             (1u)
#define Accel_Mag_REMOVE_UART_RX_TX_PIN          (1u)
#define Accel_Mag_REMOVE_UART_RX_PIN             (1u)
#define Accel_Mag_REMOVE_UART_RX_WAKE_PIN        (1u)
#define Accel_Mag_REMOVE_UART_RTS_PIN            (1u)
#define Accel_Mag_REMOVE_UART_CTS_PIN            (1u)

/* Unconfigured pins */
#define Accel_Mag_RX_WAKE_SDA_MOSI_PIN (0u == Accel_Mag_REMOVE_RX_WAKE_SDA_MOSI_PIN)
#define Accel_Mag_RX_SDA_MOSI_PIN     (0u == Accel_Mag_REMOVE_RX_SDA_MOSI_PIN)
#define Accel_Mag_TX_SCL_MISO_PIN     (0u == Accel_Mag_REMOVE_TX_SCL_MISO_PIN)
#define Accel_Mag_CTS_SCLK_PIN     (0u == Accel_Mag_REMOVE_CTS_SCLK_PIN)
#define Accel_Mag_RTS_SS0_PIN     (0u == Accel_Mag_REMOVE_RTS_SS0_PIN)
#define Accel_Mag_SS1_PIN                (0u == Accel_Mag_REMOVE_SS1_PIN)
#define Accel_Mag_SS2_PIN                (0u == Accel_Mag_REMOVE_SS2_PIN)
#define Accel_Mag_SS3_PIN                (0u == Accel_Mag_REMOVE_SS3_PIN)

/* Mode defined pins */
#define Accel_Mag_I2C_PINS               (0u == Accel_Mag_REMOVE_I2C_PINS)
#define Accel_Mag_SPI_MASTER_PINS        (0u == Accel_Mag_REMOVE_SPI_MASTER_PINS)
#define Accel_Mag_SPI_MASTER_SCLK_PIN    (0u == Accel_Mag_REMOVE_SPI_MASTER_SCLK_PIN)
#define Accel_Mag_SPI_MASTER_MOSI_PIN    (0u == Accel_Mag_REMOVE_SPI_MASTER_MOSI_PIN)
#define Accel_Mag_SPI_MASTER_MISO_PIN    (0u == Accel_Mag_REMOVE_SPI_MASTER_MISO_PIN)
#define Accel_Mag_SPI_MASTER_SS0_PIN     (0u == Accel_Mag_REMOVE_SPI_MASTER_SS0_PIN)
#define Accel_Mag_SPI_MASTER_SS1_PIN     (0u == Accel_Mag_REMOVE_SPI_MASTER_SS1_PIN)
#define Accel_Mag_SPI_MASTER_SS2_PIN     (0u == Accel_Mag_REMOVE_SPI_MASTER_SS2_PIN)
#define Accel_Mag_SPI_MASTER_SS3_PIN     (0u == Accel_Mag_REMOVE_SPI_MASTER_SS3_PIN)
#define Accel_Mag_SPI_SLAVE_PINS         (0u == Accel_Mag_REMOVE_SPI_SLAVE_PINS)
#define Accel_Mag_SPI_SLAVE_MOSI_PIN     (0u == Accel_Mag_REMOVE_SPI_SLAVE_MOSI_PIN)
#define Accel_Mag_SPI_SLAVE_MISO_PIN     (0u == Accel_Mag_REMOVE_SPI_SLAVE_MISO_PIN)
#define Accel_Mag_UART_TX_PIN            (0u == Accel_Mag_REMOVE_UART_TX_PIN)
#define Accel_Mag_UART_RX_TX_PIN         (0u == Accel_Mag_REMOVE_UART_RX_TX_PIN)
#define Accel_Mag_UART_RX_PIN            (0u == Accel_Mag_REMOVE_UART_RX_PIN)
#define Accel_Mag_UART_RX_WAKE_PIN       (0u == Accel_Mag_REMOVE_UART_RX_WAKE_PIN)
#define Accel_Mag_UART_RTS_PIN           (0u == Accel_Mag_REMOVE_UART_RTS_PIN)
#define Accel_Mag_UART_CTS_PIN           (0u == Accel_Mag_REMOVE_UART_CTS_PIN)


/***************************************
*             Includes
****************************************/

#if (Accel_Mag_RX_WAKE_SDA_MOSI_PIN)
    #include "Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi.h"
#endif /* (Accel_Mag_RX_SDA_MOSI) */

#if (Accel_Mag_RX_SDA_MOSI_PIN)
    #include "Accel_Mag_uart_rx_i2c_sda_spi_mosi.h"
#endif /* (Accel_Mag_RX_SDA_MOSI) */

#if (Accel_Mag_TX_SCL_MISO_PIN)
    #include "Accel_Mag_uart_tx_i2c_scl_spi_miso.h"
#endif /* (Accel_Mag_TX_SCL_MISO) */

#if (Accel_Mag_CTS_SCLK_PIN)
    #include "Accel_Mag_uart_cts_spi_sclk.h"
#endif /* (Accel_Mag_CTS_SCLK) */

#if (Accel_Mag_RTS_SS0_PIN)
    #include "Accel_Mag_uart_rts_spi_ss0.h"
#endif /* (Accel_Mag_RTS_SS0_PIN) */

#if (Accel_Mag_SS1_PIN)
    #include "Accel_Mag_spi_ss1.h"
#endif /* (Accel_Mag_SS1_PIN) */

#if (Accel_Mag_SS2_PIN)
    #include "Accel_Mag_spi_ss2.h"
#endif /* (Accel_Mag_SS2_PIN) */

#if (Accel_Mag_SS3_PIN)
    #include "Accel_Mag_spi_ss3.h"
#endif /* (Accel_Mag_SS3_PIN) */

#if (Accel_Mag_I2C_PINS)
    #include "Accel_Mag_scl.h"
    #include "Accel_Mag_sda.h"
#endif /* (Accel_Mag_I2C_PINS) */

#if (Accel_Mag_SPI_MASTER_PINS)
#if (Accel_Mag_SPI_MASTER_SCLK_PIN)
    #include "Accel_Mag_sclk_m.h"
#endif /* (Accel_Mag_SPI_MASTER_SCLK_PIN) */

#if (Accel_Mag_SPI_MASTER_MOSI_PIN)
    #include "Accel_Mag_mosi_m.h"
#endif /* (Accel_Mag_SPI_MASTER_MOSI_PIN) */

#if (Accel_Mag_SPI_MASTER_MISO_PIN)
    #include "Accel_Mag_miso_m.h"
#endif /*(Accel_Mag_SPI_MASTER_MISO_PIN) */
#endif /* (Accel_Mag_SPI_MASTER_PINS) */

#if (Accel_Mag_SPI_SLAVE_PINS)
    #include "Accel_Mag_sclk_s.h"
    #include "Accel_Mag_ss_s.h"

#if (Accel_Mag_SPI_SLAVE_MOSI_PIN)
    #include "Accel_Mag_mosi_s.h"
#endif /* (Accel_Mag_SPI_SLAVE_MOSI_PIN) */

#if (Accel_Mag_SPI_SLAVE_MISO_PIN)
    #include "Accel_Mag_miso_s.h"
#endif /*(Accel_Mag_SPI_SLAVE_MISO_PIN) */
#endif /* (Accel_Mag_SPI_SLAVE_PINS) */

#if (Accel_Mag_SPI_MASTER_SS0_PIN)
    #include "Accel_Mag_ss0_m.h"
#endif /* (Accel_Mag_SPI_MASTER_SS0_PIN) */

#if (Accel_Mag_SPI_MASTER_SS1_PIN)
    #include "Accel_Mag_ss1_m.h"
#endif /* (Accel_Mag_SPI_MASTER_SS1_PIN) */

#if (Accel_Mag_SPI_MASTER_SS2_PIN)
    #include "Accel_Mag_ss2_m.h"
#endif /* (Accel_Mag_SPI_MASTER_SS2_PIN) */

#if (Accel_Mag_SPI_MASTER_SS3_PIN)
    #include "Accel_Mag_ss3_m.h"
#endif /* (Accel_Mag_SPI_MASTER_SS3_PIN) */

#if (Accel_Mag_UART_TX_PIN)
    #include "Accel_Mag_tx.h"
#endif /* (Accel_Mag_UART_TX_PIN) */

#if (Accel_Mag_UART_RX_TX_PIN)
    #include "Accel_Mag_rx_tx.h"
#endif /* (Accel_Mag_UART_RX_TX_PIN) */

#if (Accel_Mag_UART_RX_PIN)
    #include "Accel_Mag_rx.h"
#endif /* (Accel_Mag_UART_RX_PIN) */

#if (Accel_Mag_UART_RX_WAKE_PIN)
    #include "Accel_Mag_rx_wake.h"
#endif /* (Accel_Mag_UART_RX_WAKE_PIN) */

#if (Accel_Mag_UART_RTS_PIN)
    #include "Accel_Mag_rts.h"
#endif /* (Accel_Mag_UART_RTS_PIN) */

#if (Accel_Mag_UART_CTS_PIN)
    #include "Accel_Mag_cts.h"
#endif /* (Accel_Mag_UART_CTS_PIN) */


/***************************************
*              Registers
***************************************/

#if (Accel_Mag_RX_SDA_MOSI_PIN)
    #define Accel_Mag_RX_SDA_MOSI_HSIOM_REG   (*(reg32 *) Accel_Mag_uart_rx_i2c_sda_spi_mosi__0__HSIOM)
    #define Accel_Mag_RX_SDA_MOSI_HSIOM_PTR   ( (reg32 *) Accel_Mag_uart_rx_i2c_sda_spi_mosi__0__HSIOM)
    
    #define Accel_Mag_RX_SDA_MOSI_HSIOM_MASK      (Accel_Mag_uart_rx_i2c_sda_spi_mosi__0__HSIOM_MASK)
    #define Accel_Mag_RX_SDA_MOSI_HSIOM_POS       (Accel_Mag_uart_rx_i2c_sda_spi_mosi__0__HSIOM_SHIFT)
    #define Accel_Mag_RX_SDA_MOSI_HSIOM_SEL_GPIO  (Accel_Mag_uart_rx_i2c_sda_spi_mosi__0__HSIOM_GPIO)
    #define Accel_Mag_RX_SDA_MOSI_HSIOM_SEL_I2C   (Accel_Mag_uart_rx_i2c_sda_spi_mosi__0__HSIOM_I2C)
    #define Accel_Mag_RX_SDA_MOSI_HSIOM_SEL_SPI   (Accel_Mag_uart_rx_i2c_sda_spi_mosi__0__HSIOM_SPI)
    #define Accel_Mag_RX_SDA_MOSI_HSIOM_SEL_UART  (Accel_Mag_uart_rx_i2c_sda_spi_mosi__0__HSIOM_UART)
    
#elif (Accel_Mag_RX_WAKE_SDA_MOSI_PIN)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG   (*(reg32 *) Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__HSIOM)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_PTR   ( (reg32 *) Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__HSIOM)
    
    #define Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_MASK      (Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__HSIOM_MASK)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_POS       (Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__HSIOM_SHIFT)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_SEL_GPIO  (Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__HSIOM_GPIO)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_SEL_I2C   (Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__HSIOM_I2C)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_SEL_SPI   (Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__HSIOM_SPI)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_SEL_UART  (Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__HSIOM_UART)    
   
    #define Accel_Mag_RX_WAKE_SDA_MOSI_INTCFG_REG (*(reg32 *) Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__INTCFG)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_INTCFG_PTR ( (reg32 *) Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__0__INTCFG)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_INTCFG_TYPE_POS  (Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi__SHIFT)
    #define Accel_Mag_RX_WAKE_SDA_MOSI_INTCFG_TYPE_MASK ((uint32) Accel_Mag_INTCFG_TYPE_MASK << \
                                                                           Accel_Mag_RX_WAKE_SDA_MOSI_INTCFG_TYPE_POS)
#else
    /* None of pins Accel_Mag_RX_SDA_MOSI_PIN or Accel_Mag_RX_WAKE_SDA_MOSI_PIN present.*/
#endif /* (Accel_Mag_RX_SDA_MOSI_PIN) */

#if (Accel_Mag_TX_SCL_MISO_PIN)
    #define Accel_Mag_TX_SCL_MISO_HSIOM_REG   (*(reg32 *) Accel_Mag_uart_tx_i2c_scl_spi_miso__0__HSIOM)
    #define Accel_Mag_TX_SCL_MISO_HSIOM_PTR   ( (reg32 *) Accel_Mag_uart_tx_i2c_scl_spi_miso__0__HSIOM)
    
    #define Accel_Mag_TX_SCL_MISO_HSIOM_MASK      (Accel_Mag_uart_tx_i2c_scl_spi_miso__0__HSIOM_MASK)
    #define Accel_Mag_TX_SCL_MISO_HSIOM_POS       (Accel_Mag_uart_tx_i2c_scl_spi_miso__0__HSIOM_SHIFT)
    #define Accel_Mag_TX_SCL_MISO_HSIOM_SEL_GPIO  (Accel_Mag_uart_tx_i2c_scl_spi_miso__0__HSIOM_GPIO)
    #define Accel_Mag_TX_SCL_MISO_HSIOM_SEL_I2C   (Accel_Mag_uart_tx_i2c_scl_spi_miso__0__HSIOM_I2C)
    #define Accel_Mag_TX_SCL_MISO_HSIOM_SEL_SPI   (Accel_Mag_uart_tx_i2c_scl_spi_miso__0__HSIOM_SPI)
    #define Accel_Mag_TX_SCL_MISO_HSIOM_SEL_UART  (Accel_Mag_uart_tx_i2c_scl_spi_miso__0__HSIOM_UART)
#endif /* (Accel_Mag_TX_SCL_MISO_PIN) */

#if (Accel_Mag_CTS_SCLK_PIN)
    #define Accel_Mag_CTS_SCLK_HSIOM_REG   (*(reg32 *) Accel_Mag_uart_cts_spi_sclk__0__HSIOM)
    #define Accel_Mag_CTS_SCLK_HSIOM_PTR   ( (reg32 *) Accel_Mag_uart_cts_spi_sclk__0__HSIOM)
    
    #define Accel_Mag_CTS_SCLK_HSIOM_MASK      (Accel_Mag_uart_cts_spi_sclk__0__HSIOM_MASK)
    #define Accel_Mag_CTS_SCLK_HSIOM_POS       (Accel_Mag_uart_cts_spi_sclk__0__HSIOM_SHIFT)
    #define Accel_Mag_CTS_SCLK_HSIOM_SEL_GPIO  (Accel_Mag_uart_cts_spi_sclk__0__HSIOM_GPIO)
    #define Accel_Mag_CTS_SCLK_HSIOM_SEL_I2C   (Accel_Mag_uart_cts_spi_sclk__0__HSIOM_I2C)
    #define Accel_Mag_CTS_SCLK_HSIOM_SEL_SPI   (Accel_Mag_uart_cts_spi_sclk__0__HSIOM_SPI)
    #define Accel_Mag_CTS_SCLK_HSIOM_SEL_UART  (Accel_Mag_uart_cts_spi_sclk__0__HSIOM_UART)
#endif /* (Accel_Mag_CTS_SCLK_PIN) */

#if (Accel_Mag_RTS_SS0_PIN)
    #define Accel_Mag_RTS_SS0_HSIOM_REG   (*(reg32 *) Accel_Mag_uart_rts_spi_ss0__0__HSIOM)
    #define Accel_Mag_RTS_SS0_HSIOM_PTR   ( (reg32 *) Accel_Mag_uart_rts_spi_ss0__0__HSIOM)
    
    #define Accel_Mag_RTS_SS0_HSIOM_MASK      (Accel_Mag_uart_rts_spi_ss0__0__HSIOM_MASK)
    #define Accel_Mag_RTS_SS0_HSIOM_POS       (Accel_Mag_uart_rts_spi_ss0__0__HSIOM_SHIFT)
    #define Accel_Mag_RTS_SS0_HSIOM_SEL_GPIO  (Accel_Mag_uart_rts_spi_ss0__0__HSIOM_GPIO)
    #define Accel_Mag_RTS_SS0_HSIOM_SEL_I2C   (Accel_Mag_uart_rts_spi_ss0__0__HSIOM_I2C)
    #define Accel_Mag_RTS_SS0_HSIOM_SEL_SPI   (Accel_Mag_uart_rts_spi_ss0__0__HSIOM_SPI)
#if !(Accel_Mag_CY_SCBIP_V0 || Accel_Mag_CY_SCBIP_V1)
    #define Accel_Mag_RTS_SS0_HSIOM_SEL_UART  (Accel_Mag_uart_rts_spi_ss0__0__HSIOM_UART)
#endif /* !(Accel_Mag_CY_SCBIP_V0 || Accel_Mag_CY_SCBIP_V1) */
#endif /* (Accel_Mag_RTS_SS0_PIN) */

#if (Accel_Mag_SS1_PIN)
    #define Accel_Mag_SS1_HSIOM_REG  (*(reg32 *) Accel_Mag_spi_ss1__0__HSIOM)
    #define Accel_Mag_SS1_HSIOM_PTR  ( (reg32 *) Accel_Mag_spi_ss1__0__HSIOM)
    
    #define Accel_Mag_SS1_HSIOM_MASK     (Accel_Mag_spi_ss1__0__HSIOM_MASK)
    #define Accel_Mag_SS1_HSIOM_POS      (Accel_Mag_spi_ss1__0__HSIOM_SHIFT)
    #define Accel_Mag_SS1_HSIOM_SEL_GPIO (Accel_Mag_spi_ss1__0__HSIOM_GPIO)
    #define Accel_Mag_SS1_HSIOM_SEL_I2C  (Accel_Mag_spi_ss1__0__HSIOM_I2C)
    #define Accel_Mag_SS1_HSIOM_SEL_SPI  (Accel_Mag_spi_ss1__0__HSIOM_SPI)
#endif /* (Accel_Mag_SS1_PIN) */

#if (Accel_Mag_SS2_PIN)
    #define Accel_Mag_SS2_HSIOM_REG     (*(reg32 *) Accel_Mag_spi_ss2__0__HSIOM)
    #define Accel_Mag_SS2_HSIOM_PTR     ( (reg32 *) Accel_Mag_spi_ss2__0__HSIOM)
    
    #define Accel_Mag_SS2_HSIOM_MASK     (Accel_Mag_spi_ss2__0__HSIOM_MASK)
    #define Accel_Mag_SS2_HSIOM_POS      (Accel_Mag_spi_ss2__0__HSIOM_SHIFT)
    #define Accel_Mag_SS2_HSIOM_SEL_GPIO (Accel_Mag_spi_ss2__0__HSIOM_GPIO)
    #define Accel_Mag_SS2_HSIOM_SEL_I2C  (Accel_Mag_spi_ss2__0__HSIOM_I2C)
    #define Accel_Mag_SS2_HSIOM_SEL_SPI  (Accel_Mag_spi_ss2__0__HSIOM_SPI)
#endif /* (Accel_Mag_SS2_PIN) */

#if (Accel_Mag_SS3_PIN)
    #define Accel_Mag_SS3_HSIOM_REG     (*(reg32 *) Accel_Mag_spi_ss3__0__HSIOM)
    #define Accel_Mag_SS3_HSIOM_PTR     ( (reg32 *) Accel_Mag_spi_ss3__0__HSIOM)
    
    #define Accel_Mag_SS3_HSIOM_MASK     (Accel_Mag_spi_ss3__0__HSIOM_MASK)
    #define Accel_Mag_SS3_HSIOM_POS      (Accel_Mag_spi_ss3__0__HSIOM_SHIFT)
    #define Accel_Mag_SS3_HSIOM_SEL_GPIO (Accel_Mag_spi_ss3__0__HSIOM_GPIO)
    #define Accel_Mag_SS3_HSIOM_SEL_I2C  (Accel_Mag_spi_ss3__0__HSIOM_I2C)
    #define Accel_Mag_SS3_HSIOM_SEL_SPI  (Accel_Mag_spi_ss3__0__HSIOM_SPI)
#endif /* (Accel_Mag_SS3_PIN) */

#if (Accel_Mag_I2C_PINS)
    #define Accel_Mag_SCL_HSIOM_REG  (*(reg32 *) Accel_Mag_scl__0__HSIOM)
    #define Accel_Mag_SCL_HSIOM_PTR  ( (reg32 *) Accel_Mag_scl__0__HSIOM)
    
    #define Accel_Mag_SCL_HSIOM_MASK     (Accel_Mag_scl__0__HSIOM_MASK)
    #define Accel_Mag_SCL_HSIOM_POS      (Accel_Mag_scl__0__HSIOM_SHIFT)
    #define Accel_Mag_SCL_HSIOM_SEL_GPIO (Accel_Mag_sda__0__HSIOM_GPIO)
    #define Accel_Mag_SCL_HSIOM_SEL_I2C  (Accel_Mag_sda__0__HSIOM_I2C)
    
    #define Accel_Mag_SDA_HSIOM_REG  (*(reg32 *) Accel_Mag_sda__0__HSIOM)
    #define Accel_Mag_SDA_HSIOM_PTR  ( (reg32 *) Accel_Mag_sda__0__HSIOM)
    
    #define Accel_Mag_SDA_HSIOM_MASK     (Accel_Mag_sda__0__HSIOM_MASK)
    #define Accel_Mag_SDA_HSIOM_POS      (Accel_Mag_sda__0__HSIOM_SHIFT)
    #define Accel_Mag_SDA_HSIOM_SEL_GPIO (Accel_Mag_sda__0__HSIOM_GPIO)
    #define Accel_Mag_SDA_HSIOM_SEL_I2C  (Accel_Mag_sda__0__HSIOM_I2C)
#endif /* (Accel_Mag_I2C_PINS) */

#if (Accel_Mag_SPI_SLAVE_PINS)
    #define Accel_Mag_SCLK_S_HSIOM_REG   (*(reg32 *) Accel_Mag_sclk_s__0__HSIOM)
    #define Accel_Mag_SCLK_S_HSIOM_PTR   ( (reg32 *) Accel_Mag_sclk_s__0__HSIOM)
    
    #define Accel_Mag_SCLK_S_HSIOM_MASK      (Accel_Mag_sclk_s__0__HSIOM_MASK)
    #define Accel_Mag_SCLK_S_HSIOM_POS       (Accel_Mag_sclk_s__0__HSIOM_SHIFT)
    #define Accel_Mag_SCLK_S_HSIOM_SEL_GPIO  (Accel_Mag_sclk_s__0__HSIOM_GPIO)
    #define Accel_Mag_SCLK_S_HSIOM_SEL_SPI   (Accel_Mag_sclk_s__0__HSIOM_SPI)
    
    #define Accel_Mag_SS0_S_HSIOM_REG    (*(reg32 *) Accel_Mag_ss0_s__0__HSIOM)
    #define Accel_Mag_SS0_S_HSIOM_PTR    ( (reg32 *) Accel_Mag_ss0_s__0__HSIOM)
    
    #define Accel_Mag_SS0_S_HSIOM_MASK       (Accel_Mag_ss0_s__0__HSIOM_MASK)
    #define Accel_Mag_SS0_S_HSIOM_POS        (Accel_Mag_ss0_s__0__HSIOM_SHIFT)
    #define Accel_Mag_SS0_S_HSIOM_SEL_GPIO   (Accel_Mag_ss0_s__0__HSIOM_GPIO)  
    #define Accel_Mag_SS0_S_HSIOM_SEL_SPI    (Accel_Mag_ss0_s__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_SLAVE_PINS) */

#if (Accel_Mag_SPI_SLAVE_MOSI_PIN)
    #define Accel_Mag_MOSI_S_HSIOM_REG   (*(reg32 *) Accel_Mag_mosi_s__0__HSIOM)
    #define Accel_Mag_MOSI_S_HSIOM_PTR   ( (reg32 *) Accel_Mag_mosi_s__0__HSIOM)
    
    #define Accel_Mag_MOSI_S_HSIOM_MASK      (Accel_Mag_mosi_s__0__HSIOM_MASK)
    #define Accel_Mag_MOSI_S_HSIOM_POS       (Accel_Mag_mosi_s__0__HSIOM_SHIFT)
    #define Accel_Mag_MOSI_S_HSIOM_SEL_GPIO  (Accel_Mag_mosi_s__0__HSIOM_GPIO)
    #define Accel_Mag_MOSI_S_HSIOM_SEL_SPI   (Accel_Mag_mosi_s__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_SLAVE_MOSI_PIN) */

#if (Accel_Mag_SPI_SLAVE_MISO_PIN)
    #define Accel_Mag_MISO_S_HSIOM_REG   (*(reg32 *) Accel_Mag_miso_s__0__HSIOM)
    #define Accel_Mag_MISO_S_HSIOM_PTR   ( (reg32 *) Accel_Mag_miso_s__0__HSIOM)
    
    #define Accel_Mag_MISO_S_HSIOM_MASK      (Accel_Mag_miso_s__0__HSIOM_MASK)
    #define Accel_Mag_MISO_S_HSIOM_POS       (Accel_Mag_miso_s__0__HSIOM_SHIFT)
    #define Accel_Mag_MISO_S_HSIOM_SEL_GPIO  (Accel_Mag_miso_s__0__HSIOM_GPIO)
    #define Accel_Mag_MISO_S_HSIOM_SEL_SPI   (Accel_Mag_miso_s__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_SLAVE_MISO_PIN) */

#if (Accel_Mag_SPI_MASTER_MISO_PIN)
    #define Accel_Mag_MISO_M_HSIOM_REG   (*(reg32 *) Accel_Mag_miso_m__0__HSIOM)
    #define Accel_Mag_MISO_M_HSIOM_PTR   ( (reg32 *) Accel_Mag_miso_m__0__HSIOM)
    
    #define Accel_Mag_MISO_M_HSIOM_MASK      (Accel_Mag_miso_m__0__HSIOM_MASK)
    #define Accel_Mag_MISO_M_HSIOM_POS       (Accel_Mag_miso_m__0__HSIOM_SHIFT)
    #define Accel_Mag_MISO_M_HSIOM_SEL_GPIO  (Accel_Mag_miso_m__0__HSIOM_GPIO)
    #define Accel_Mag_MISO_M_HSIOM_SEL_SPI   (Accel_Mag_miso_m__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_MASTER_MISO_PIN) */

#if (Accel_Mag_SPI_MASTER_MOSI_PIN)
    #define Accel_Mag_MOSI_M_HSIOM_REG   (*(reg32 *) Accel_Mag_mosi_m__0__HSIOM)
    #define Accel_Mag_MOSI_M_HSIOM_PTR   ( (reg32 *) Accel_Mag_mosi_m__0__HSIOM)
    
    #define Accel_Mag_MOSI_M_HSIOM_MASK      (Accel_Mag_mosi_m__0__HSIOM_MASK)
    #define Accel_Mag_MOSI_M_HSIOM_POS       (Accel_Mag_mosi_m__0__HSIOM_SHIFT)
    #define Accel_Mag_MOSI_M_HSIOM_SEL_GPIO  (Accel_Mag_mosi_m__0__HSIOM_GPIO)
    #define Accel_Mag_MOSI_M_HSIOM_SEL_SPI   (Accel_Mag_mosi_m__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_MASTER_MOSI_PIN) */

#if (Accel_Mag_SPI_MASTER_SCLK_PIN)
    #define Accel_Mag_SCLK_M_HSIOM_REG   (*(reg32 *) Accel_Mag_sclk_m__0__HSIOM)
    #define Accel_Mag_SCLK_M_HSIOM_PTR   ( (reg32 *) Accel_Mag_sclk_m__0__HSIOM)
    
    #define Accel_Mag_SCLK_M_HSIOM_MASK      (Accel_Mag_sclk_m__0__HSIOM_MASK)
    #define Accel_Mag_SCLK_M_HSIOM_POS       (Accel_Mag_sclk_m__0__HSIOM_SHIFT)
    #define Accel_Mag_SCLK_M_HSIOM_SEL_GPIO  (Accel_Mag_sclk_m__0__HSIOM_GPIO)
    #define Accel_Mag_SCLK_M_HSIOM_SEL_SPI   (Accel_Mag_sclk_m__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_MASTER_SCLK_PIN) */

#if (Accel_Mag_SPI_MASTER_SS0_PIN)
    #define Accel_Mag_SS0_M_HSIOM_REG    (*(reg32 *) Accel_Mag_ss0_m__0__HSIOM)
    #define Accel_Mag_SS0_M_HSIOM_PTR    ( (reg32 *) Accel_Mag_ss0_m__0__HSIOM)
    
    #define Accel_Mag_SS0_M_HSIOM_MASK       (Accel_Mag_ss0_m__0__HSIOM_MASK)
    #define Accel_Mag_SS0_M_HSIOM_POS        (Accel_Mag_ss0_m__0__HSIOM_SHIFT)
    #define Accel_Mag_SS0_M_HSIOM_SEL_GPIO   (Accel_Mag_ss0_m__0__HSIOM_GPIO)
    #define Accel_Mag_SS0_M_HSIOM_SEL_SPI    (Accel_Mag_ss0_m__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_MASTER_SS0_PIN) */

#if (Accel_Mag_SPI_MASTER_SS1_PIN)
    #define Accel_Mag_SS1_M_HSIOM_REG    (*(reg32 *) Accel_Mag_ss1_m__0__HSIOM)
    #define Accel_Mag_SS1_M_HSIOM_PTR    ( (reg32 *) Accel_Mag_ss1_m__0__HSIOM)
    
    #define Accel_Mag_SS1_M_HSIOM_MASK       (Accel_Mag_ss1_m__0__HSIOM_MASK)
    #define Accel_Mag_SS1_M_HSIOM_POS        (Accel_Mag_ss1_m__0__HSIOM_SHIFT)
    #define Accel_Mag_SS1_M_HSIOM_SEL_GPIO   (Accel_Mag_ss1_m__0__HSIOM_GPIO)
    #define Accel_Mag_SS1_M_HSIOM_SEL_SPI    (Accel_Mag_ss1_m__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_MASTER_SS1_PIN) */

#if (Accel_Mag_SPI_MASTER_SS2_PIN)
    #define Accel_Mag_SS2_M_HSIOM_REG    (*(reg32 *) Accel_Mag_ss2_m__0__HSIOM)
    #define Accel_Mag_SS2_M_HSIOM_PTR    ( (reg32 *) Accel_Mag_ss2_m__0__HSIOM)
    
    #define Accel_Mag_SS2_M_HSIOM_MASK       (Accel_Mag_ss2_m__0__HSIOM_MASK)
    #define Accel_Mag_SS2_M_HSIOM_POS        (Accel_Mag_ss2_m__0__HSIOM_SHIFT)
    #define Accel_Mag_SS2_M_HSIOM_SEL_GPIO   (Accel_Mag_ss2_m__0__HSIOM_GPIO)
    #define Accel_Mag_SS2_M_HSIOM_SEL_SPI    (Accel_Mag_ss2_m__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_MASTER_SS2_PIN) */

#if (Accel_Mag_SPI_MASTER_SS3_PIN)
    #define Accel_Mag_SS3_M_HSIOM_REG    (*(reg32 *) Accel_Mag_ss3_m__0__HSIOM)
    #define Accel_Mag_SS3_M_HSIOM_PTR    ( (reg32 *) Accel_Mag_ss3_m__0__HSIOM)
    
    #define Accel_Mag_SS3_M_HSIOM_MASK      (Accel_Mag_ss3_m__0__HSIOM_MASK)
    #define Accel_Mag_SS3_M_HSIOM_POS       (Accel_Mag_ss3_m__0__HSIOM_SHIFT)
    #define Accel_Mag_SS3_M_HSIOM_SEL_GPIO  (Accel_Mag_ss3_m__0__HSIOM_GPIO)
    #define Accel_Mag_SS3_M_HSIOM_SEL_SPI   (Accel_Mag_ss3_m__0__HSIOM_SPI)
#endif /* (Accel_Mag_SPI_MASTER_SS3_PIN) */

#if (Accel_Mag_UART_RX_PIN)
    #define Accel_Mag_RX_HSIOM_REG   (*(reg32 *) Accel_Mag_rx__0__HSIOM)
    #define Accel_Mag_RX_HSIOM_PTR   ( (reg32 *) Accel_Mag_rx__0__HSIOM)
    
    #define Accel_Mag_RX_HSIOM_MASK      (Accel_Mag_rx__0__HSIOM_MASK)
    #define Accel_Mag_RX_HSIOM_POS       (Accel_Mag_rx__0__HSIOM_SHIFT)
    #define Accel_Mag_RX_HSIOM_SEL_GPIO  (Accel_Mag_rx__0__HSIOM_GPIO)
    #define Accel_Mag_RX_HSIOM_SEL_UART  (Accel_Mag_rx__0__HSIOM_UART)
#endif /* (Accel_Mag_UART_RX_PIN) */

#if (Accel_Mag_UART_RX_WAKE_PIN)
    #define Accel_Mag_RX_WAKE_HSIOM_REG   (*(reg32 *) Accel_Mag_rx_wake__0__HSIOM)
    #define Accel_Mag_RX_WAKE_HSIOM_PTR   ( (reg32 *) Accel_Mag_rx_wake__0__HSIOM)
    
    #define Accel_Mag_RX_WAKE_HSIOM_MASK      (Accel_Mag_rx_wake__0__HSIOM_MASK)
    #define Accel_Mag_RX_WAKE_HSIOM_POS       (Accel_Mag_rx_wake__0__HSIOM_SHIFT)
    #define Accel_Mag_RX_WAKE_HSIOM_SEL_GPIO  (Accel_Mag_rx_wake__0__HSIOM_GPIO)
    #define Accel_Mag_RX_WAKE_HSIOM_SEL_UART  (Accel_Mag_rx_wake__0__HSIOM_UART)
#endif /* (Accel_Mag_UART_WAKE_RX_PIN) */

#if (Accel_Mag_UART_CTS_PIN)
    #define Accel_Mag_CTS_HSIOM_REG   (*(reg32 *) Accel_Mag_cts__0__HSIOM)
    #define Accel_Mag_CTS_HSIOM_PTR   ( (reg32 *) Accel_Mag_cts__0__HSIOM)
    
    #define Accel_Mag_CTS_HSIOM_MASK      (Accel_Mag_cts__0__HSIOM_MASK)
    #define Accel_Mag_CTS_HSIOM_POS       (Accel_Mag_cts__0__HSIOM_SHIFT)
    #define Accel_Mag_CTS_HSIOM_SEL_GPIO  (Accel_Mag_cts__0__HSIOM_GPIO)
    #define Accel_Mag_CTS_HSIOM_SEL_UART  (Accel_Mag_cts__0__HSIOM_UART)
#endif /* (Accel_Mag_UART_CTS_PIN) */

#if (Accel_Mag_UART_TX_PIN)
    #define Accel_Mag_TX_HSIOM_REG   (*(reg32 *) Accel_Mag_tx__0__HSIOM)
    #define Accel_Mag_TX_HSIOM_PTR   ( (reg32 *) Accel_Mag_tx__0__HSIOM)
    
    #define Accel_Mag_TX_HSIOM_MASK      (Accel_Mag_tx__0__HSIOM_MASK)
    #define Accel_Mag_TX_HSIOM_POS       (Accel_Mag_tx__0__HSIOM_SHIFT)
    #define Accel_Mag_TX_HSIOM_SEL_GPIO  (Accel_Mag_tx__0__HSIOM_GPIO)
    #define Accel_Mag_TX_HSIOM_SEL_UART  (Accel_Mag_tx__0__HSIOM_UART)
#endif /* (Accel_Mag_UART_TX_PIN) */

#if (Accel_Mag_UART_RX_TX_PIN)
    #define Accel_Mag_RX_TX_HSIOM_REG   (*(reg32 *) Accel_Mag_rx_tx__0__HSIOM)
    #define Accel_Mag_RX_TX_HSIOM_PTR   ( (reg32 *) Accel_Mag_rx_tx__0__HSIOM)
    
    #define Accel_Mag_RX_TX_HSIOM_MASK      (Accel_Mag_rx_tx__0__HSIOM_MASK)
    #define Accel_Mag_RX_TX_HSIOM_POS       (Accel_Mag_rx_tx__0__HSIOM_SHIFT)
    #define Accel_Mag_RX_TX_HSIOM_SEL_GPIO  (Accel_Mag_rx_tx__0__HSIOM_GPIO)
    #define Accel_Mag_RX_TX_HSIOM_SEL_UART  (Accel_Mag_rx_tx__0__HSIOM_UART)
#endif /* (Accel_Mag_UART_RX_TX_PIN) */

#if (Accel_Mag_UART_RTS_PIN)
    #define Accel_Mag_RTS_HSIOM_REG      (*(reg32 *) Accel_Mag_rts__0__HSIOM)
    #define Accel_Mag_RTS_HSIOM_PTR      ( (reg32 *) Accel_Mag_rts__0__HSIOM)
    
    #define Accel_Mag_RTS_HSIOM_MASK     (Accel_Mag_rts__0__HSIOM_MASK)
    #define Accel_Mag_RTS_HSIOM_POS      (Accel_Mag_rts__0__HSIOM_SHIFT)    
    #define Accel_Mag_RTS_HSIOM_SEL_GPIO (Accel_Mag_rts__0__HSIOM_GPIO)
    #define Accel_Mag_RTS_HSIOM_SEL_UART (Accel_Mag_rts__0__HSIOM_UART)    
#endif /* (Accel_Mag_UART_RTS_PIN) */


/***************************************
*        Registers Constants
***************************************/

/* HSIOM switch values. */ 
#define Accel_Mag_HSIOM_DEF_SEL      (0x00u)
#define Accel_Mag_HSIOM_GPIO_SEL     (0x00u)
/* The HSIOM values provided below are valid only for Accel_Mag_CY_SCBIP_V0 
* and Accel_Mag_CY_SCBIP_V1. It is not recommended to use them for 
* Accel_Mag_CY_SCBIP_V2. Use pin name specific HSIOM constants provided 
* above instead for any SCB IP block version.
*/
#define Accel_Mag_HSIOM_UART_SEL     (0x09u)
#define Accel_Mag_HSIOM_I2C_SEL      (0x0Eu)
#define Accel_Mag_HSIOM_SPI_SEL      (0x0Fu)

/* Pins settings index. */
#define Accel_Mag_RX_WAKE_SDA_MOSI_PIN_INDEX   (0u)
#define Accel_Mag_RX_SDA_MOSI_PIN_INDEX       (0u)
#define Accel_Mag_TX_SCL_MISO_PIN_INDEX       (1u)
#define Accel_Mag_CTS_SCLK_PIN_INDEX       (2u)
#define Accel_Mag_RTS_SS0_PIN_INDEX       (3u)
#define Accel_Mag_SS1_PIN_INDEX                  (4u)
#define Accel_Mag_SS2_PIN_INDEX                  (5u)
#define Accel_Mag_SS3_PIN_INDEX                  (6u)

/* Pins settings mask. */
#define Accel_Mag_RX_WAKE_SDA_MOSI_PIN_MASK ((uint32) 0x01u << Accel_Mag_RX_WAKE_SDA_MOSI_PIN_INDEX)
#define Accel_Mag_RX_SDA_MOSI_PIN_MASK     ((uint32) 0x01u << Accel_Mag_RX_SDA_MOSI_PIN_INDEX)
#define Accel_Mag_TX_SCL_MISO_PIN_MASK     ((uint32) 0x01u << Accel_Mag_TX_SCL_MISO_PIN_INDEX)
#define Accel_Mag_CTS_SCLK_PIN_MASK     ((uint32) 0x01u << Accel_Mag_CTS_SCLK_PIN_INDEX)
#define Accel_Mag_RTS_SS0_PIN_MASK     ((uint32) 0x01u << Accel_Mag_RTS_SS0_PIN_INDEX)
#define Accel_Mag_SS1_PIN_MASK                ((uint32) 0x01u << Accel_Mag_SS1_PIN_INDEX)
#define Accel_Mag_SS2_PIN_MASK                ((uint32) 0x01u << Accel_Mag_SS2_PIN_INDEX)
#define Accel_Mag_SS3_PIN_MASK                ((uint32) 0x01u << Accel_Mag_SS3_PIN_INDEX)

/* Pin interrupt constants. */
#define Accel_Mag_INTCFG_TYPE_MASK           (0x03u)
#define Accel_Mag_INTCFG_TYPE_FALLING_EDGE   (0x02u)

/* Pin Drive Mode constants. */
#define Accel_Mag_PIN_DM_ALG_HIZ  (0u)
#define Accel_Mag_PIN_DM_DIG_HIZ  (1u)
#define Accel_Mag_PIN_DM_OD_LO    (4u)
#define Accel_Mag_PIN_DM_STRONG   (6u)


/***************************************
*          Macro Definitions
***************************************/

/* Return drive mode of the pin */
#define Accel_Mag_DM_MASK    (0x7u)
#define Accel_Mag_DM_SIZE    (3u)
#define Accel_Mag_GET_P4_PIN_DM(reg, pos) \
    ( ((reg) & (uint32) ((uint32) Accel_Mag_DM_MASK << (Accel_Mag_DM_SIZE * (pos)))) >> \
                                                              (Accel_Mag_DM_SIZE * (pos)) )

#if (Accel_Mag_TX_SCL_MISO_PIN)
    #define Accel_Mag_CHECK_TX_SCL_MISO_PIN_USED \
                (Accel_Mag_PIN_DM_ALG_HIZ != \
                    Accel_Mag_GET_P4_PIN_DM(Accel_Mag_uart_tx_i2c_scl_spi_miso_PC, \
                                                   Accel_Mag_uart_tx_i2c_scl_spi_miso_SHIFT))
#endif /* (Accel_Mag_TX_SCL_MISO_PIN) */

#if (Accel_Mag_RTS_SS0_PIN)
    #define Accel_Mag_CHECK_RTS_SS0_PIN_USED \
                (Accel_Mag_PIN_DM_ALG_HIZ != \
                    Accel_Mag_GET_P4_PIN_DM(Accel_Mag_uart_rts_spi_ss0_PC, \
                                                   Accel_Mag_uart_rts_spi_ss0_SHIFT))
#endif /* (Accel_Mag_RTS_SS0_PIN) */

/* Set bits-mask in register */
#define Accel_Mag_SET_REGISTER_BITS(reg, mask, pos, mode) \
                    do                                           \
                    {                                            \
                        (reg) = (((reg) & ((uint32) ~(uint32) (mask))) | ((uint32) ((uint32) (mode) << (pos)))); \
                    }while(0)

/* Set bit in the register */
#define Accel_Mag_SET_REGISTER_BIT(reg, mask, val) \
                    ((val) ? ((reg) |= (mask)) : ((reg) &= ((uint32) ~((uint32) (mask)))))

#define Accel_Mag_SET_HSIOM_SEL(reg, mask, pos, sel) Accel_Mag_SET_REGISTER_BITS(reg, mask, pos, sel)
#define Accel_Mag_SET_INCFG_TYPE(reg, mask, pos, intType) \
                                                        Accel_Mag_SET_REGISTER_BITS(reg, mask, pos, intType)
#define Accel_Mag_SET_INP_DIS(reg, mask, val) Accel_Mag_SET_REGISTER_BIT(reg, mask, val)

/* Accel_Mag_SET_I2C_SCL_DR(val) - Sets I2C SCL DR register.
*  Accel_Mag_SET_I2C_SCL_HSIOM_SEL(sel) - Sets I2C SCL HSIOM settings.
*/
/* SCB I2C: scl signal */
#if (Accel_Mag_CY_SCBIP_V0)
#if (Accel_Mag_I2C_PINS)
    #define Accel_Mag_SET_I2C_SCL_DR(val) Accel_Mag_scl_Write(val)

    #define Accel_Mag_SET_I2C_SCL_HSIOM_SEL(sel) \
                          Accel_Mag_SET_HSIOM_SEL(Accel_Mag_SCL_HSIOM_REG,  \
                                                         Accel_Mag_SCL_HSIOM_MASK, \
                                                         Accel_Mag_SCL_HSIOM_POS,  \
                                                         (sel))
    #define Accel_Mag_WAIT_SCL_SET_HIGH  (0u == Accel_Mag_scl_Read())

/* Unconfigured SCB: scl signal */
#elif (Accel_Mag_RX_WAKE_SDA_MOSI_PIN)
    #define Accel_Mag_SET_I2C_SCL_DR(val) \
                            Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi_Write(val)

    #define Accel_Mag_SET_I2C_SCL_HSIOM_SEL(sel) \
                    Accel_Mag_SET_HSIOM_SEL(Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG,  \
                                                   Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_MASK, \
                                                   Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_POS,  \
                                                   (sel))

    #define Accel_Mag_WAIT_SCL_SET_HIGH  (0u == Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi_Read())

#elif (Accel_Mag_RX_SDA_MOSI_PIN)
    #define Accel_Mag_SET_I2C_SCL_DR(val) \
                            Accel_Mag_uart_rx_i2c_sda_spi_mosi_Write(val)


    #define Accel_Mag_SET_I2C_SCL_HSIOM_SEL(sel) \
                            Accel_Mag_SET_HSIOM_SEL(Accel_Mag_RX_SDA_MOSI_HSIOM_REG,  \
                                                           Accel_Mag_RX_SDA_MOSI_HSIOM_MASK, \
                                                           Accel_Mag_RX_SDA_MOSI_HSIOM_POS,  \
                                                           (sel))

    #define Accel_Mag_WAIT_SCL_SET_HIGH  (0u == Accel_Mag_uart_rx_i2c_sda_spi_mosi_Read())

#else
    #define Accel_Mag_SET_I2C_SCL_DR(val)        do{ /* Does nothing */ }while(0)
    #define Accel_Mag_SET_I2C_SCL_HSIOM_SEL(sel) do{ /* Does nothing */ }while(0)

    #define Accel_Mag_WAIT_SCL_SET_HIGH  (0u)
#endif /* (Accel_Mag_I2C_PINS) */

/* SCB I2C: sda signal */
#if (Accel_Mag_I2C_PINS)
    #define Accel_Mag_WAIT_SDA_SET_HIGH  (0u == Accel_Mag_sda_Read())
/* Unconfigured SCB: sda signal */
#elif (Accel_Mag_TX_SCL_MISO_PIN)
    #define Accel_Mag_WAIT_SDA_SET_HIGH  (0u == Accel_Mag_uart_tx_i2c_scl_spi_miso_Read())
#else
    #define Accel_Mag_WAIT_SDA_SET_HIGH  (0u)
#endif /* (Accel_Mag_MOSI_SCL_RX_PIN) */
#endif /* (Accel_Mag_CY_SCBIP_V0) */

/* Clear UART wakeup source */
#if (Accel_Mag_RX_SDA_MOSI_PIN)
    #define Accel_Mag_CLEAR_UART_RX_WAKE_INTR        do{ /* Does nothing */ }while(0)
    
#elif (Accel_Mag_RX_WAKE_SDA_MOSI_PIN)
    #define Accel_Mag_CLEAR_UART_RX_WAKE_INTR \
            do{                                      \
                (void) Accel_Mag_uart_rx_wake_i2c_sda_spi_mosi_ClearInterrupt(); \
            }while(0)

#elif(Accel_Mag_UART_RX_WAKE_PIN)
    #define Accel_Mag_CLEAR_UART_RX_WAKE_INTR \
            do{                                      \
                (void) Accel_Mag_rx_wake_ClearInterrupt(); \
            }while(0)
#else
#endif /* (Accel_Mag_RX_SDA_MOSI_PIN) */


/***************************************
* The following code is DEPRECATED and
* must not be used.
***************************************/

/* Unconfigured pins */
#define Accel_Mag_REMOVE_MOSI_SCL_RX_WAKE_PIN    Accel_Mag_REMOVE_RX_WAKE_SDA_MOSI_PIN
#define Accel_Mag_REMOVE_MOSI_SCL_RX_PIN         Accel_Mag_REMOVE_RX_SDA_MOSI_PIN
#define Accel_Mag_REMOVE_MISO_SDA_TX_PIN         Accel_Mag_REMOVE_TX_SCL_MISO_PIN
#ifndef Accel_Mag_REMOVE_SCLK_PIN
#define Accel_Mag_REMOVE_SCLK_PIN                Accel_Mag_REMOVE_CTS_SCLK_PIN
#endif /* Accel_Mag_REMOVE_SCLK_PIN */
#ifndef Accel_Mag_REMOVE_SS0_PIN
#define Accel_Mag_REMOVE_SS0_PIN                 Accel_Mag_REMOVE_RTS_SS0_PIN
#endif /* Accel_Mag_REMOVE_SS0_PIN */

/* Unconfigured pins */
#define Accel_Mag_MOSI_SCL_RX_WAKE_PIN   Accel_Mag_RX_WAKE_SDA_MOSI_PIN
#define Accel_Mag_MOSI_SCL_RX_PIN        Accel_Mag_RX_SDA_MOSI_PIN
#define Accel_Mag_MISO_SDA_TX_PIN        Accel_Mag_TX_SCL_MISO_PIN
#ifndef Accel_Mag_SCLK_PIN
#define Accel_Mag_SCLK_PIN               Accel_Mag_CTS_SCLK_PIN
#endif /* Accel_Mag_SCLK_PIN */
#ifndef Accel_Mag_SS0_PIN
#define Accel_Mag_SS0_PIN                Accel_Mag_RTS_SS0_PIN
#endif /* Accel_Mag_SS0_PIN */

#if (Accel_Mag_MOSI_SCL_RX_WAKE_PIN)
    #define Accel_Mag_MOSI_SCL_RX_WAKE_HSIOM_REG     Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG
    #define Accel_Mag_MOSI_SCL_RX_WAKE_HSIOM_PTR     Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG
    #define Accel_Mag_MOSI_SCL_RX_WAKE_HSIOM_MASK    Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG
    #define Accel_Mag_MOSI_SCL_RX_WAKE_HSIOM_POS     Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG

    #define Accel_Mag_MOSI_SCL_RX_WAKE_INTCFG_REG    Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG
    #define Accel_Mag_MOSI_SCL_RX_WAKE_INTCFG_PTR    Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG

    #define Accel_Mag_MOSI_SCL_RX_WAKE_INTCFG_TYPE_POS   Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG
    #define Accel_Mag_MOSI_SCL_RX_WAKE_INTCFG_TYPE_MASK  Accel_Mag_RX_WAKE_SDA_MOSI_HSIOM_REG
#endif /* (Accel_Mag_RX_WAKE_SDA_MOSI_PIN) */

#if (Accel_Mag_MOSI_SCL_RX_PIN)
    #define Accel_Mag_MOSI_SCL_RX_HSIOM_REG      Accel_Mag_RX_SDA_MOSI_HSIOM_REG
    #define Accel_Mag_MOSI_SCL_RX_HSIOM_PTR      Accel_Mag_RX_SDA_MOSI_HSIOM_PTR
    #define Accel_Mag_MOSI_SCL_RX_HSIOM_MASK     Accel_Mag_RX_SDA_MOSI_HSIOM_MASK
    #define Accel_Mag_MOSI_SCL_RX_HSIOM_POS      Accel_Mag_RX_SDA_MOSI_HSIOM_POS
#endif /* (Accel_Mag_MOSI_SCL_RX_PIN) */

#if (Accel_Mag_MISO_SDA_TX_PIN)
    #define Accel_Mag_MISO_SDA_TX_HSIOM_REG      Accel_Mag_TX_SCL_MISO_HSIOM_REG
    #define Accel_Mag_MISO_SDA_TX_HSIOM_PTR      Accel_Mag_TX_SCL_MISO_HSIOM_REG
    #define Accel_Mag_MISO_SDA_TX_HSIOM_MASK     Accel_Mag_TX_SCL_MISO_HSIOM_REG
    #define Accel_Mag_MISO_SDA_TX_HSIOM_POS      Accel_Mag_TX_SCL_MISO_HSIOM_REG
#endif /* (Accel_Mag_MISO_SDA_TX_PIN_PIN) */

#if (Accel_Mag_SCLK_PIN)
    #ifndef Accel_Mag_SCLK_HSIOM_REG
    #define Accel_Mag_SCLK_HSIOM_REG     Accel_Mag_CTS_SCLK_HSIOM_REG
    #define Accel_Mag_SCLK_HSIOM_PTR     Accel_Mag_CTS_SCLK_HSIOM_PTR
    #define Accel_Mag_SCLK_HSIOM_MASK    Accel_Mag_CTS_SCLK_HSIOM_MASK
    #define Accel_Mag_SCLK_HSIOM_POS     Accel_Mag_CTS_SCLK_HSIOM_POS
    #endif /* Accel_Mag_SCLK_HSIOM_REG */
#endif /* (Accel_Mag_SCLK_PIN) */

#if (Accel_Mag_SS0_PIN)
    #ifndef Accel_Mag_SS0_HSIOM_REG
    #define Accel_Mag_SS0_HSIOM_REG      Accel_Mag_RTS_SS0_HSIOM_REG
    #define Accel_Mag_SS0_HSIOM_PTR      Accel_Mag_RTS_SS0_HSIOM_PTR
    #define Accel_Mag_SS0_HSIOM_MASK     Accel_Mag_RTS_SS0_HSIOM_MASK
    #define Accel_Mag_SS0_HSIOM_POS      Accel_Mag_RTS_SS0_HSIOM_POS
    #endif /* Accel_Mag_SS0_HSIOM_REG */
#endif /* (Accel_Mag_SS0_PIN) */

#define Accel_Mag_MOSI_SCL_RX_WAKE_PIN_INDEX Accel_Mag_RX_WAKE_SDA_MOSI_PIN_INDEX
#define Accel_Mag_MOSI_SCL_RX_PIN_INDEX      Accel_Mag_RX_SDA_MOSI_PIN_INDEX
#define Accel_Mag_MISO_SDA_TX_PIN_INDEX      Accel_Mag_TX_SCL_MISO_PIN_INDEX
#ifndef Accel_Mag_SCLK_PIN_INDEX
#define Accel_Mag_SCLK_PIN_INDEX             Accel_Mag_CTS_SCLK_PIN_INDEX
#endif /* Accel_Mag_SCLK_PIN_INDEX */
#ifndef Accel_Mag_SS0_PIN_INDEX
#define Accel_Mag_SS0_PIN_INDEX              Accel_Mag_RTS_SS0_PIN_INDEX
#endif /* Accel_Mag_SS0_PIN_INDEX */

#define Accel_Mag_MOSI_SCL_RX_WAKE_PIN_MASK Accel_Mag_RX_WAKE_SDA_MOSI_PIN_MASK
#define Accel_Mag_MOSI_SCL_RX_PIN_MASK      Accel_Mag_RX_SDA_MOSI_PIN_MASK
#define Accel_Mag_MISO_SDA_TX_PIN_MASK      Accel_Mag_TX_SCL_MISO_PIN_MASK
#ifndef Accel_Mag_SCLK_PIN_MASK
#define Accel_Mag_SCLK_PIN_MASK             Accel_Mag_CTS_SCLK_PIN_MASK
#endif /* Accel_Mag_SCLK_PIN_MASK */
#ifndef Accel_Mag_SS0_PIN_MASK
#define Accel_Mag_SS0_PIN_MASK              Accel_Mag_RTS_SS0_PIN_MASK
#endif /* Accel_Mag_SS0_PIN_MASK */

#endif /* (CY_SCB_PINS_Accel_Mag_H) */


/* [] END OF FILE */
