/*******************************************************************************
* File Name: Accel_Mag_SCBCLK.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_Accel_Mag_SCBCLK_H)
#define CY_CLOCK_Accel_Mag_SCBCLK_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/
#if defined CYREG_PERI_DIV_CMD

void Accel_Mag_SCBCLK_StartEx(uint32 alignClkDiv);
#define Accel_Mag_SCBCLK_Start() \
    Accel_Mag_SCBCLK_StartEx(Accel_Mag_SCBCLK__PA_DIV_ID)

#else

void Accel_Mag_SCBCLK_Start(void);

#endif/* CYREG_PERI_DIV_CMD */

void Accel_Mag_SCBCLK_Stop(void);

void Accel_Mag_SCBCLK_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 Accel_Mag_SCBCLK_GetDividerRegister(void);
uint8  Accel_Mag_SCBCLK_GetFractionalDividerRegister(void);

#define Accel_Mag_SCBCLK_Enable()                         Accel_Mag_SCBCLK_Start()
#define Accel_Mag_SCBCLK_Disable()                        Accel_Mag_SCBCLK_Stop()
#define Accel_Mag_SCBCLK_SetDividerRegister(clkDivider, reset)  \
    Accel_Mag_SCBCLK_SetFractionalDividerRegister((clkDivider), 0u)
#define Accel_Mag_SCBCLK_SetDivider(clkDivider)           Accel_Mag_SCBCLK_SetDividerRegister((clkDivider), 1u)
#define Accel_Mag_SCBCLK_SetDividerValue(clkDivider)      Accel_Mag_SCBCLK_SetDividerRegister((clkDivider) - 1u, 1u)


/***************************************
*             Registers
***************************************/
#if defined CYREG_PERI_DIV_CMD

#define Accel_Mag_SCBCLK_DIV_ID     Accel_Mag_SCBCLK__DIV_ID

#define Accel_Mag_SCBCLK_CMD_REG    (*(reg32 *)CYREG_PERI_DIV_CMD)
#define Accel_Mag_SCBCLK_CTRL_REG   (*(reg32 *)Accel_Mag_SCBCLK__CTRL_REGISTER)
#define Accel_Mag_SCBCLK_DIV_REG    (*(reg32 *)Accel_Mag_SCBCLK__DIV_REGISTER)

#define Accel_Mag_SCBCLK_CMD_DIV_SHIFT          (0u)
#define Accel_Mag_SCBCLK_CMD_PA_DIV_SHIFT       (8u)
#define Accel_Mag_SCBCLK_CMD_DISABLE_SHIFT      (30u)
#define Accel_Mag_SCBCLK_CMD_ENABLE_SHIFT       (31u)

#define Accel_Mag_SCBCLK_CMD_DISABLE_MASK       ((uint32)((uint32)1u << Accel_Mag_SCBCLK_CMD_DISABLE_SHIFT))
#define Accel_Mag_SCBCLK_CMD_ENABLE_MASK        ((uint32)((uint32)1u << Accel_Mag_SCBCLK_CMD_ENABLE_SHIFT))

#define Accel_Mag_SCBCLK_DIV_FRAC_MASK  (0x000000F8u)
#define Accel_Mag_SCBCLK_DIV_FRAC_SHIFT (3u)
#define Accel_Mag_SCBCLK_DIV_INT_MASK   (0xFFFFFF00u)
#define Accel_Mag_SCBCLK_DIV_INT_SHIFT  (8u)

#else 

#define Accel_Mag_SCBCLK_DIV_REG        (*(reg32 *)Accel_Mag_SCBCLK__REGISTER)
#define Accel_Mag_SCBCLK_ENABLE_REG     Accel_Mag_SCBCLK_DIV_REG
#define Accel_Mag_SCBCLK_DIV_FRAC_MASK  Accel_Mag_SCBCLK__FRAC_MASK
#define Accel_Mag_SCBCLK_DIV_FRAC_SHIFT (16u)
#define Accel_Mag_SCBCLK_DIV_INT_MASK   Accel_Mag_SCBCLK__DIVIDER_MASK
#define Accel_Mag_SCBCLK_DIV_INT_SHIFT  (0u)

#endif/* CYREG_PERI_DIV_CMD */

#endif /* !defined(CY_CLOCK_Accel_Mag_SCBCLK_H) */

/* [] END OF FILE */
