/*******************************************************************************
* File Name: PiezoClock1.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_PiezoClock1_H)
#define CY_CLOCK_PiezoClock1_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/
#if defined CYREG_PERI_DIV_CMD

void PiezoClock1_StartEx(uint32 alignClkDiv);
#define PiezoClock1_Start() \
    PiezoClock1_StartEx(PiezoClock1__PA_DIV_ID)

#else

void PiezoClock1_Start(void);

#endif/* CYREG_PERI_DIV_CMD */

void PiezoClock1_Stop(void);

void PiezoClock1_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 PiezoClock1_GetDividerRegister(void);
uint8  PiezoClock1_GetFractionalDividerRegister(void);

#define PiezoClock1_Enable()                         PiezoClock1_Start()
#define PiezoClock1_Disable()                        PiezoClock1_Stop()
#define PiezoClock1_SetDividerRegister(clkDivider, reset)  \
    PiezoClock1_SetFractionalDividerRegister((clkDivider), 0u)
#define PiezoClock1_SetDivider(clkDivider)           PiezoClock1_SetDividerRegister((clkDivider), 1u)
#define PiezoClock1_SetDividerValue(clkDivider)      PiezoClock1_SetDividerRegister((clkDivider) - 1u, 1u)


/***************************************
*             Registers
***************************************/
#if defined CYREG_PERI_DIV_CMD

#define PiezoClock1_DIV_ID     PiezoClock1__DIV_ID

#define PiezoClock1_CMD_REG    (*(reg32 *)CYREG_PERI_DIV_CMD)
#define PiezoClock1_CTRL_REG   (*(reg32 *)PiezoClock1__CTRL_REGISTER)
#define PiezoClock1_DIV_REG    (*(reg32 *)PiezoClock1__DIV_REGISTER)

#define PiezoClock1_CMD_DIV_SHIFT          (0u)
#define PiezoClock1_CMD_PA_DIV_SHIFT       (8u)
#define PiezoClock1_CMD_DISABLE_SHIFT      (30u)
#define PiezoClock1_CMD_ENABLE_SHIFT       (31u)

#define PiezoClock1_CMD_DISABLE_MASK       ((uint32)((uint32)1u << PiezoClock1_CMD_DISABLE_SHIFT))
#define PiezoClock1_CMD_ENABLE_MASK        ((uint32)((uint32)1u << PiezoClock1_CMD_ENABLE_SHIFT))

#define PiezoClock1_DIV_FRAC_MASK  (0x000000F8u)
#define PiezoClock1_DIV_FRAC_SHIFT (3u)
#define PiezoClock1_DIV_INT_MASK   (0xFFFFFF00u)
#define PiezoClock1_DIV_INT_SHIFT  (8u)

#else 

#define PiezoClock1_DIV_REG        (*(reg32 *)PiezoClock1__REGISTER)
#define PiezoClock1_ENABLE_REG     PiezoClock1_DIV_REG
#define PiezoClock1_DIV_FRAC_MASK  PiezoClock1__FRAC_MASK
#define PiezoClock1_DIV_FRAC_SHIFT (16u)
#define PiezoClock1_DIV_INT_MASK   PiezoClock1__DIVIDER_MASK
#define PiezoClock1_DIV_INT_SHIFT  (0u)

#endif/* CYREG_PERI_DIV_CMD */

#endif /* !defined(CY_CLOCK_PiezoClock1_H) */

/* [] END OF FILE */
