/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "st1501.h"
#include "ST_RTC.h"

#define SYSTICK_EACH_10_HZ  (10u)
#define SYSTICK_EACH_1_HZ  (1u)
//#define 
#define SYSTICK_RELOAD      (CYDEV_BCLK__SYSCLK__HZ / SYSTICK_EACH_10_HZ)

extern ST1501* _st1501_instanceP;

/* Interrupt prototype */
CY_ISR_PROTO(SysTickIsrHandler);

/* This module handles RTC  initialization and update */
void RTC_Init()
{
     uint32 i;
    /* Starts SysTick component */
    CySysTickStart();

    /* Configure SysTick timer to generate interrupt every 100 ms */
    CySysTickSetReload(SYSTICK_RELOAD);

    /* Find unused callback slot. */
    for (i = 0u; i < CY_SYS_SYST_NUM_OF_CALLBACKS; ++i)
    {
        if (CySysTickGetCallback(i) == NULL)
        {
            /* Set callback */
            CySysTickSetCallback(i, SysTickIsrHandler);
            break;
        }
    }

    /* Starts RTC component */
    ST_RTC_Start();

    /* Set Date and Time */
   // RTC_SetDateAndTime(TIME_HR_MIN_SEC,DATE_MONTH_DAY_YEAR);

     /* Set RTC time update period 
       XXX This is the closest I could get to 1 second resolution 
        100ms is the fastest blink available because the interrupt is generated
        every 100 msb as set by CySysTickSetReload above
        TODO play with this some more to refine , good for now
    */
    ST_RTC_SetPeriod(1u, 5);
}
/*******************************************************************************
* Function Name: SysTickIsrHandler
********************************************************************************
* Summary:
*  The interrupt handler for SysTick interrupts.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/

void SysTickIsrHandler(void)
{
    ST_RTC_Update();
}
/* Utility routines */
//------------------------
inline time_t RTC_GetMillisecs()
{
    return (ST_RTC_GetUnixTime()*1000);
}
//---------------
inline time_t RTC_GetMicrosecs()
{
    return (ST_RTC_GetUnixTime() *1000000);
}
/* [] END OF FILE */
